## osmo-trx 0~20150325gitf147b17%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1


export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf --parallel



override_dh_auto_clean:
	$(RM) -f sqlite3/Makefile
	dh_auto_clean


override_dh_auto_configure:
	dh_auto_configure

override_dh_auto_test:
	dh_auto_test
	./debian/autotest/autotest
