## osmo-trx 0~20150325gitf147b17+dfsg

=== debian/changelog ===
osmo-trx (0~20150325gitf147b17+dfsg-3) unstable; urgency=medium

  * Uploaded to unstable
  * debian/osmo-trx.1: Fix small formatting problem

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 27 Oct 2015 07:49:13 +0100

osmo-trx (0~20150325gitf147b17+dfsg-3~exp1) experimental; urgency=medium

  * debian/control:
    - Remove --without-sse again.
  * debian/patches/02_no_march_native.patch:
    - Instead add only SSE options to CFLAGS 

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 23 Oct 2015 20:35:21 +0200

osmo-trx (0~20150325gitf147b17+dfsg-2) unstable; urgency=medium

  * debian/patches/02_no_march_native.patch:
    - Make sure that the option -march=native is not set when building.
  * debian/control:
    - Set --without-sse to make sure that functions only supported with
      march=native are excluded.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 21 Oct 2015 07:53:00 +0200

osmo-trx (0~20150325gitf147b17+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #777303)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 13 Oct 2015 17:55:14 +0200
