=== debian/control ===
Source: osmo-trx
Section: utils
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
Testsuite: autopkgtest
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               pkg-config,
               libuhd-dev,
               libusb-1.0-0-dev,
               libboost-dev,
               libsqlite3-dev
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/osmo-trx.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/osmo-trx.git
Homepage: http://openbsc.osmocom.org/trac/wiki/OsmoTRX

Package: osmo-trx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SDR transceiver that implements Layer 1 of a GSM BTS
 OsmoTRX is a software-defined radio transceiver that implements the Layer 1
 physical layer of a BTS comprising the following 3GPP specifications:
 .
 TS 05.01 "Physical layer on the radio path"
 TS 05.02 "Multiplexing and Multiple Access on the Radio Path"
 TS 05.04 "Modulation"
 TS 05.10 "Radio subsystem synchronization"
 .
 In this context, BTS is "Base transceiver station". It's the stations that
 connect mobile phones to the mobile network.
 .
 3GPP is the "3rd Generation Partnership Project" which is the collaboration
 between different telecommunication associations for developing new
 generations of mobile phone networks. (post-2G/GSM)
