=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
https://github.com/osmocom/osmo-trx/releases /osmocom/osmo-trx/archive/\w+-(\d\S+)\.tar\.(?:bz2|gz|xz)
