## osmo-trx 0~20170323git2af1440+dfsg

=== debian/changelog ===
osmo-trx (0~20170323git2af1440+dfsg-2build1) bionic; urgency=medium

  * No-change rebuild against libuhd003.010.003

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 10 Feb 2018 01:20:37 +0000

osmo-trx (0~20170323git2af1440+dfsg-2) unstable; urgency=medium

  * debian/control: add myself to uploaders
  * debian/control: move package to debian-mobcom and change URLs
  * debian/control: change maintainer to debian-mobcom-maintainers
  * debian/control: use dh10
  * debian/control: bump standard to 4.1.0 (no changes)
  * debian/control: remove dbg package
  * debian/control: remove redundant dependency of dh-autoreconf
  * debian/control: add dependency on libboost-system-dev

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 11 Sep 2017 19:52:59 +0200

osmo-trx (0~20170323git2af1440+dfsg-1) unstable; urgency=medium

  * Upload to unstable
  * debian/control: New standards version: 4.0.0 - no changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 14 Jul 2017 06:40:13 +0000

osmo-trx (0~20170323git2af1440+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version (Closes: #858594)
  * Refreshed patches. Removed patch applied upstream.
  * debian/control:
    - New standards version: 3.9.8
    - Some more build-dependencies
    - Vcs now using secure URL
  * debian/copyright:
    - Updated copyright

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 01 Apr 2017 07:37:10 +0000
