=== debian/control ===
--- 
+++ 
@@ -1,19 +1,22 @@
 Source: osmo-trx
 Section: utils
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
+	, Thorsten Alteholz <debian@alteholz.de>
 Testsuite: autopkgtest
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 10),
                pkg-config,
                libuhd-dev,
                libusb-1.0-0-dev,
                libboost-dev,
-               libsqlite3-dev
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/osmo-trx.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/osmo-trx.git
+               libboost-system-dev,
+               libsqlite3-dev,
+               libfftw3-dev
+Standards-Version: 4.1.0
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-mobcom/osmo-trx.git
+Vcs-Git: https://anonscm.debian.org/git/debian-mobcom/osmo-trx.git
 Homepage: http://openbsc.osmocom.org/trac/wiki/OsmoTRX
 
 Package: osmo-trx
@@ -34,6 +37,3 @@
  3GPP is the "3rd Generation Partnership Project" which is the collaboration
  between different telecommunication associations for developing new
  generations of mobile phone networks. (post-2G/GSM)
-
-
-
