## osmo-trx 0.1.9.20170825

=== debian/changelog ===
osmo-trx (0.1.9.20170825) UNRELEASED; urgency=medium

  * Snapshot build

 -- Kirill Zakharenko <earwin@gmail.com>  Fri, 25 Aug 2017 21:48:49 +0200

osmo-trx (0.1.9) trusty; urgency=medium

  * Ask Ivan, really

 -- Kirill Zakharenko <earwin@gmail.com>  Thu, 16 Jul 2015 12:13:46 +0000

osmo-trx (0.1.8) precise; urgency=low

     * Initial release (Closes: #nnnn) <nnnn is the bug number of your ITP

 -- Ivan Klyuchnikov <Ivan.Kluchnikov@fairwaves.ru>  Sun, 9 Mar 2014 14:10:10 +0400
