## osmo-trx 0.2.0

=== debian/changelog ===
osmo-trx (0.2.0-2build3) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 13:01:51 +0000

osmo-trx (0.2.0-2build2) cosmic; urgency=medium

  * No-change rebuild for uhd soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Jun 2018 17:21:45 +0000

osmo-trx (0.2.0-2build1) cosmic; urgency=medium

  * No-change rebuild for uhd soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 May 2018 14:06:40 +0000

osmo-trx (0.2.0-2) unstable; urgency=medium

  * move to unstable
  * debian/control: add salsa URLs
  * debian/control: use dh11
  * debian/control: bump standard to 4.1.4 (no changes)
  * debian/rules: remove --parallel from dh call

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 16 Apr 2018 19:05:27 +0200

osmo-trx (0.2.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.1.2 (no changes)
  * debian/copyright: update

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 08 Dec 2017 19:05:27 +0100
