=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: osmo-trx
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
 	, Thorsten Alteholz <debian@alteholz.de>
 Testsuite: autopkgtest
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                pkg-config,
                libuhd-dev,
                libusb-1.0-0-dev,
@@ -14,9 +13,9 @@
                libboost-system-dev,
                libsqlite3-dev,
                libfftw3-dev
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-mobcom/osmo-trx.git
-Vcs-Git: https://anonscm.debian.org/git/debian-mobcom/osmo-trx.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmo-trx
+Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmo-trx.git
 Homepage: http://openbsc.osmocom.org/trac/wiki/OsmoTRX
 
 Package: osmo-trx
