=== debian/rules ===
--- 
+++ 
@@ -6,14 +6,12 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with autoreconf --parallel
-
+	dh $@ --with autoreconf
 
 
 override_dh_auto_clean:
 	$(RM) -f sqlite3/Makefile
 	dh_auto_clean
-
 
 override_dh_auto_configure:
 	dh_auto_configure
