=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-uhd --with-usrp1
+	dh_auto_configure -- --with-uhd --with-usrp1 --with-systemdsystemunitdir=/lib/systemd/system
 
 override_dh_strip:
 	dh_strip --dbg-package=osmo-trx-dbg
