## osmo-trx 1.2.0

=== debian/changelog ===
osmo-trx (1.2.0-2build4) jammy; urgency=medium

  * Rebuild against new libosmocore16.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 21 Mar 2022 02:56:48 +0100

osmo-trx (1.2.0-2build3) jammy; urgency=medium

  * No-change rebuild against libosmocore18

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 21 Mar 2022 00:07:40 +0000

osmo-trx (1.2.0-2build2) jammy; urgency=medium

  * No-change rebuild against libuhd4.1.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 17 Jan 2022 14:04:04 +0000

osmo-trx (1.2.0-2build1) hirsute; urgency=medium

  * No-change rebuild for limesuite soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Jan 2021 10:38:07 +0100

osmo-trx (1.2.0-2) unstable; urgency=medium

  * upload to unstable
  * mark test as superficial (Closes: #971493)
  * debian/rules: build with LimeSDR support (Closes: #913198)
  * debian/control: add dependency liblimesuite-dev

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 09 Dec 2020 18:19:19 +0100

osmo-trx (1.2.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.5.0 (no changes)
  * debian/control: use dh12
  * debian/control: depend on libosmocore >=1.4.0
  * remove all patches that are applied upstream

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 16 Aug 2020 21:19:19 +0000

osmo-trx (0.4.0-1) unstable; urgency=medium

  * Upload to unstable

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 06 Nov 2018 21:55:48 +0100

osmo-trx (0.4.0-1~exp4) experimental; urgency=medium

  * debian/examples/osmo-trx-uhd.cfg: Simplify default configuration file
  * debian/tests: Fix erroneous path in autopkgtest

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 23 Sep 2018 13:59:16 +0200

osmo-trx (0.4.0-1~exp3) experimental; urgency=medium

  * Update man page
  * Install systemd service file, but do not automatically start it
  * Install /etc/osmocom/osmo-trx-uhd.cfg example configuration file
  * debian/control:
    - New standards version 4.2.1 - no changes
    - Suggests osmo-bts
  * debian/rules:
    - Make .tarball-version in override_dh_autoreconf and delete in
      override_dh_clean

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 22 Sep 2018 13:49:46 +0200

osmo-trx (0.4.0-1~exp2) experimental; urgency=medium

  * debian/control:
    - Fix build-dependencies because of FTBFS

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 21 Jul 2018 00:28:18 +0200

osmo-trx (0.4.0-1~exp1) experimental; urgency=medium

  * New upstream release:
    - Dropped patch: 02_no_march_native.patch
    - Added patches: 0001-Do-not-include-.rbf-files.patch
                     0002-Fix-spelling-discovered-by-lintian.patch
  * Binary executable change name from osmo-trx to osmo-trx-uhd:
    These files updated because of that:
    - debian/autotest/autotest
    - debian/osmo-trx-uhd.1
    - debian/osmo-trx.manpages
  * debian/control:
    - New standards version 4.1.5 - no changes
    - Drop "Testsuite: autopkgtest" - handled automatically now
  * debian/copyright:
    - Copyright updated for new upstream release
  * debian/rules:
    - Delete two test related files in override_dh_auto_clean
    - Handle "override_dh_auto_test-does-not-check-DEB_BUILD_OPTIONS"
    - No need to delete "sqlite3/Makefile" anymore

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 20 Jul 2018 21:31:46 +0200
