=== debian/control ===
Source: osmo-trx
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
	, Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 12),
               pkg-config,
               libuhd-dev,
               libusb-1.0-0-dev,
               libboost-dev,
               libboost-system-dev,
               libosmocore-dev (>= 1.4.0),
               libfftw3-dev,
               liblimesuite-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmo-trx
Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmo-trx.git
Homepage: http://openbsc.osmocom.org/trac/wiki/OsmoTRX

Package: osmo-trx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: osmo-bts
Description: SDR transceiver that implements Layer 1 of a GSM BTS
 OsmoTRX is a software-defined radio transceiver that implements the Layer 1
 physical layer of a BTS comprising the following 3GPP specifications:
 .
 TS 05.01 "Physical layer on the radio path"
 TS 05.02 "Multiplexing and Multiple Access on the Radio Path"
 TS 05.04 "Modulation"
 TS 05.10 "Radio subsystem synchronization"
 .
 In this context, BTS is "Base transceiver station". It's the stations that
 connect mobile phones to the mobile network.
 .
 3GPP is the "3rd Generation Partnership Project" which is the collaboration
 between different telecommunication associations for developing new
 generations of mobile phone networks. (post-2G/GSM)
