## osmo-trx 1.2.0.16.0569

=== debian/changelog ===
osmo-trx (1.2.0.16.0569) UNRELEASED; urgency=medium

  * Snapshot build

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Wed, 05 Feb 2020 02:06:32 +0000

osmo-trx (1.2.0) unstable; urgency=medium

  [ Pau Espin Pedrol ]
  * osmo-trx: log to stderr on signal received
  * Drop old setPriority related code
  * Transceiver: fix segfault during init if IP addr binding fails
  * Transceiver: Check return value when binding IP addr for clock socket
  * Transceiver: Clean up receival of downlink bursts
  * Transceiver: Fix idle ul burst indications being dropped
  * Transceiver: exit process when BTS drops connection
  * Transceiver: Enable EDGE detection only on PDCH timeslots
  * lms: Log available antennas if requested antenna fails
  * device: Use LOGCHAN in set_antennas()
  * Transceiver: Fix logging TN and version
  * Transceiver: Use LOGCHAN in logRxBurst to unify log format
  * Transceiver: Log error condition no burst in pullRadioVector()
  * Transceiver: pullRadioVector(): Fix use of uninitialized value bi->tn
  * Transceiver: Don't stop TRX if pulling from OFF timeslot
  * radioInterface: Rename mRadio to mDevice
  * radioInterfaceMulti: Check equals zero explicitly
  * USRPDevice: Fix setRxGain return on error and getRxGain() returning always 0
  * USRPDevice: Return previous txGain if setting value failed
  * LMSDevice: Return previous txGain/rxGain if setting value failed
  * radioInterface: Remove unusued getRxGain()
  * radioDevice: Introduce getTxGain() API
  * radioInterfaceMulti: Override setTxGain() to avoid chan!=0 calls
  * UHDDevice: Drop unneeded MULTI_ARFCN checks
  * radioInterface{Multi,Resamp}: Fix successful writeSamples() masking underrun from readSamples()
  * radioInterface: Mark setRxGain as virtual
  * Move multi-ARFCN chan amount modification from UHDDevice to parent class
  * radioInterface: Atomically fetch and change underrun variable
  * radioInterfaceMulti: write frequency offset direction (rx/tx) in log line
  * Use new libosmocore logging lock API
  * Transceiver: Fix wrong response upon CMD HANDOVER failure
  * uhd: use value already cached in tmp variable
  * Transceiver.cpp: Introduce and use new logging categories

  [ Timo Jacobus ]
  * Transceiver: Fixed copying of history into and from channelizer buffer.

  [ Alexander Chemeris ]
  * vty: Don't enable random filler bursts automatically with EDGE.
  * vty: Simplify filler burst settings and improve help and readability.

  [ Martin Hauke ]
  * Fix common misspellings and typos

  [ Harald Welte ]
  * trx: exit() on unsupported positional arguments on command line

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Fri, 03 Jan 2020 19:54:00 +0100

osmo-trx (1.1.1) unstable; urgency=medium

  * UNRELEASED

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Thu, 08 Aug 2019 13:00:05 +0200

osmo-trx (1.1.0) unstable; urgency=medium

  [ Sylvain Munaut ]
  * arm/convolve: Fix the vfp4 real convolution for h_len=12
  * convolve: Remove support for step, offset parameters
  * tests: Rework the convolve_test
  * tests: Re-enable the convolve_test by default
  * sigProcLib: Add C/I (Carrier-to-Interference ratio) computation

  [ Vadim Yanitskiy ]
  * VTY: add extended (11-bit) RACH detection toggle
  * doc/configuration.adoc: fix incorrect number of physical RF channels for B210
  * driveTxPriorityQueue(): cosmetic: use proper type for TDMA TN
  * driveTxPriorityQueue(): use trxd_hdr_common for message parsing
  * driveTxPriorityQueue(): check if message header format is supported
  * driveTxPriorityQueue(): enrich logging message
  * trxd_fill_common(): fix TRXD header version coding
  * manuals/configuration.adoc: fix copy-paste error in config example

  [ Pau Espin Pedrol ]
  * osmo-trx: Avoid handling signals after shutdown triggered
  * osmo-trx: Use signalfd to serialize signals in main thread ctx
  * osmo-trx: Check return code of osmo_fd_register
  * lms: flush_recv: alloc buf on stack instead of heap
  * lms: Improve log during flush recv error
  * cosmetic: Threads.h: Remove trailing whitespace
  * Move duplicated thread_enable_cancel to CommonLibs
  * lms: Log underrun/overrun events
  * lms: Remove references to ALERT loglevel
  * lms: Remove unused var m_last_tx_overruns
  * lms: Catch and log dropped packets by HW during recv
  * cosmetic: uhd: Move smpl_buf out of UHDDevice, move UHDDevice class definition to .h
  * uhd: smpl_buf: Drop UHD specifics out back to UHDDevice
  * uhd: smpl_buf: Use TIMESTAMP type in str_status
  * cosmetic: uhd: Use loglevel ERROR instead of ERR
  * uhd: Avoid reallocation of buffers every read
  * Move smpl_buf out of uhd dir to re-use it in other devices
  * device: Drop unused numberRead/numberWritten APIs
  * smpl_buf: Remove unused clk_rt variable
  * smpl_buf: Remove unused clk_rt variable (fixup)
  * smpl_buf: Remove dbg log line with duplicated info
  * Introduce LOGCHAN macro to standarize logging channel info
  * smpl_buf: Move it to device/common and create libdevice_common.la
  * lms: Use smpl_buf to recover from timestamp jumps
  * lms: Fix stream_stats checks with droppedPackets
  * Add rate_ctr support to store/retrieve SDR errors through VTY
  * Rename and move STOP signal from Transceiver to main
  * doc: vty: Update trx_vty_reference.xml
  * lms: Drop unusued variable masterClockRate
  * lms: Fix stream_stats checks with overrun/underrun
  * Add VTY commands to set error ctr thresholds
  * Remove AUTHORS file
  * trx_{vty,rate_ctr}: Set proper license AGPLv3+
  * Introduce structs to encode TRXD packets
  * Transceiver: refactor: gather uplink burst parameters in struct
  * Transceiver: Drop unused rssi_valid struct field
  * Transceiver: Move nbits burst size calculation to pullRadioVector()
  * Transceiver: Move calculation of normalized values (rssiOffset) to pullRadioVector()
  * Transceiver: Move soft bits normalization to pullRadioVector()
  * Transceiver: Drop use of GSM::Time from trx_ul_burst_ind

