## osmo-trx 1.2.0.17.71f002

=== debian/changelog ===
osmo-trx (1.2.0.17.71f002) UNRELEASED; urgency=medium

  * Snapshot build

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Sun, 09 Feb 2020 01:29:53 +0000
