## osmo-trx 1.2.0.20.9370

=== debian/changelog ===
osmo-trx (1.2.0.20.9370) UNRELEASED; urgency=medium

  * Snapshot build

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Thu, 27 Feb 2020 01:28:53 +0000
