## osmo-trx 1.2.0.21.3f55

=== debian/changelog ===
osmo-trx (1.2.0.21.3f55) UNRELEASED; urgency=medium

  * Snapshot build

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Thu, 27 Feb 2020 01:28:57 +0000
